## Spezialfunktion (special_function)

Spezialfunktionen (special_function) sind spezielle Funktionen, die nicht auf bestimmte Datentypen beschränkt sind.

### Syntax

<special_function> ::=
<case_function>
| DECODE (<check_expression>,<search_and_result_spec>,...[,<default_expression>])
| GREATEST (<expression>,<expression>,...)
| LEAST (<expression>,<expression>,...)
| VALUE (<expression>,<expression>,...)

<case_function> ::= <simple_case_function>|<searched_case_function>

<check_expression> ::= <expression>

<search_and_result_spec> ::= <search_expression>,<result_expression>

<default_expression> ::= <expression>

<result_expression> ::= <expression>

### Erläuterung

Bei den CASE-Funktionen werden einfache und allgemeine CASE-Funktionen unterschieden.

Siehe auch:

Funktionen: Überblick